v1.0.0
OpenAPI 3.1.0

Retrieve a bulk import

US region

Client Libraries

Retrieve a bulk import

This endpoint returns information about an "import"—a CSV file containing a group of people or events you uploaded to using v1/imports endpoint. You can use this endpoint to check to status of imports, or find out how many rows you successfully imported from a CSV file.

Path Parameters
  • import_id
    Type: integer
    required

    The id of the import you want to lookup. This value is returned from an import that was accepted and queued for processing.

Responses
  • application/json
  • 429

    Your request is over the 10-per-second limit.

Request Example for get/v1/imports/{import_id}
curl https://api.customer.io/v1/imports/1 \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "import": {
    "id": 30,
    "name": "account-object-import",
    "description": "importing accounts",
    "created_at": 1706081641,
    "updated_at": 1706081645,
    "rows_to_import": 3,
    "rows_imported": 3,
    "state": "imported",
    "type": "object",
    "data_to_process": "all",
    "people_to_process": "all",
    "object_type_id": 1,
    "error": "possible error - The specified Object Type does not exist.",
    "error_export_id": 2,
    "error_download_url": "https://api.customer.io/v1/exports/2/download",
    "warning_export_id": 1,
    "warning_download_url": "https://api.customer.io/v1/exports/1/download"
  }
}